The "update Shipping Carrier" API allows update a shipping carrier to the system.

http
PUT https://services.leadconnectorhq.com/store/shipping-carrier/{shippingCarrierId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
shippingCarrierIdstringYes6578278e879ad2646715ba9cID of the shipping carrier that needs to be returned

Body

NameTypeRequiredExampleDescription
altIdstringNo6578278e879ad2646715ba9cAccount Id or Agency Id
altTypestringNoPossible values: 'account'
namestringNoFedExName of the shipping carrier
callbackUrlstringNohttps://example.com/get-shipping-ratesThe URL endpoint that GHL needs to retrieve shipping rates. This must be a public URL.
  • services (object[]): An array of available shipping carrier services

    • name (string, required): Name of the shipping carrier service Example: Priority Mail Express International

    • value (string, required): Value of the shipping carrier service Example: PriorityMailExpressInternational

NameTypeRequiredExampleDescription
allowsMultipleServiceSelectionbooleanNoTrueThe seller can choose multiple services while creating shipping rates if this is true.

Responses

200 - Successful response
  • status (boolean, required): Status of api action Example: True

  • message (string): Success message Example: Successfully created

  • data (object, required): Shipping carrier data

json
{
  "status": true,
  "message": "Successfully created"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/store/shipping-carrier/YOUR_shippingCarrierId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "name": "FedEx",
  "callbackUrl": "https://example.com/get-shipping-rates",
  "services": [
    {
      "name": "Priority Mail Express International",
      "value": "PriorityMailExpressInternational"
    }
  ],
  "allowsMultipleServiceSelection": true
}'

Last updated October 26, 2026

Was this page helpful?